/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.293 Revision 1.495
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.293 2007/08/17 19:37:18 graaff Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.495 2011/06/02 13:31:58 maekke Exp $
4
5 02 Jun 2011; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p334-r1.ebuild:
6 arm/x86 stable, bug #369141
7
8 01 Jun 2011; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p334-r1.ebuild:
9 Stable on amd64 wrt bug #369141
10
11 01 Jun 2011; Tobias Klausmann <klausman@gentoo.org>
12 ruby-1.8.7_p334-r1.ebuild:
13 Stable on alpha, bug #369141
14
15*ruby-1.8.7_p334-r1 (31 May 2011)
16
17 31 May 2011; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p334-r1.ebuild:
18 Revision bump for security bug 369141 (CVE-2011-0188)
19
20*ruby-1.9.2-r1 (16 May 2011)
21
22 16 May 2011; Hans de Graaff <graaff@gentoo.org> +ruby-1.9.2-r1.ebuild:
23 Don't remove racc files since all other ruby targets ship these files
24 themselves as well. Closes bug 363419.
25
26 13 Mar 2011; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p302.ebuild,
27 ruby-1.8.7_p334.ebuild:
28 Remove old version. Remove obsolete and unused old-style virtual/ruby.
29
30 07 Mar 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.9.2.ebuild:
31 Add ~alpha/~arm/~ia64/~s390/~sh/~sparc wrt #332593
32
33 07 Mar 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.9.2.ebuild:
34 Add append-flags -mieee on sh, bug #357559
35
36 26 Feb 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p334.ebuild:
37 alpha/arm/ia64/s390/sh stable wrt #355439
38
39 26 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org> ruby-1.9.2.ebuild:
40 Marked ~ppc64 wrt #332593
41
42 20 Feb 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org>
43 ruby-1.8.7_p334.ebuild:
44 x86 stable wrt security bug #355439
45
46 20 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org>
47 ruby-1.8.7_p334.ebuild:
48 ppc/ppc64 stable wrt #355439
49
50 19 Feb 2011; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p334.ebuild:
51 Stable on amd64 wrt bug #355439
52
53 19 Feb 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p334.ebuild:
54 Stable for HPPA (bug #355439).
55
56*ruby-1.8.7_p334 (19 Feb 2011)
57
58 19 Feb 2011; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p334.ebuild:
59 Version bump 1.8.7 series, security bug 355439
60
61 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> ruby-1.9.2_rc2-r1.ebuild,
62 ruby-1.9.2.ebuild:
63 Remove PROVIDE for old-style virtual/ruby per bug 265054.
64
65 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p399.ebuild:
66 Remove masked ruby 1.8.6 per bug 332597.
67
68 07 Sep 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p249.ebuild,
69 -ruby-1.9.2_rc2.ebuild:
70 Removing old and vulnerable ebuilds
71
72 06 Sep 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p302.ebuild:
73 Marking ruby-1.8.7_p302 ppc64 for bug 332957
74
75 28 Aug 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p302.ebuild:
76 alpha/ia64/s390/sh/sparc stable wrt #332957
77
78*ruby-1.9.2 (24 Aug 2010)
79
80 24 Aug 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.2.ebuild,
81 metadata.xml:
82 Version bump. Fixes rdoc handling wrt bug 333897 by Park Ji-in. Drop hppa
83 and x86-fbsd due to a new dependency on rdoc.
84
85 23 Aug 2010; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p302.ebuild:
86 arm stable, bug #332957
87
88 21 Aug 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org>
89 ruby-1.8.7_p302.ebuild:
90 x86 stable wrt security bug #332957
91
92 21 Aug 2010; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p302.ebuild:
93 Stable on amd64 wrt bug #332957
94
95 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
96 Stable for PPC (bug #332957).
97
98 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
99 Stable for HPPA (bug #332957).
100
101*ruby-1.8.7_p302 (21 Aug 2010)
102
103 21 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p299.ebuild,
104 +ruby-1.8.7_p302.ebuild:
105 Revision bump to 1.8.7_p302 for security bug 332957. Fix rubytests
106 installation path.
107
108*ruby-1.8.6_p399 (19 Aug 2010)
109
110 19 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p388.ebuild,
111 -ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.6_p399.ebuild:
112 Last patchlevel bump for Ruby 1.8.6 to 399, fixes CVE-2010-0541 (bug
113 332957). Also restrict Tk and OpenSSL dependencies and fix rubytests
114 installation path (reported by the x86 team in bug 332597)
115
116*ruby-1.9.2_rc2-r1 (18 Aug 2010)
117
118 18 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
119 +ruby-1.9.2_rc2-r1.ebuild, metadata.xml:
120 Update ebuild; apply webrick security patch; unbundle minitest, rdoc 2 and
121 the rubygems loading code. Add USE flag for psych.
122
123 17 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
124 ruby-1.9.2_rc2.ebuild:
125 Remove two keepdir that will try to keep an empty path, closes bug
126 #333163.
127
128 16 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_rc2.ebuild:
129 Marked ~ppc (bug #332593).
130
131 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
132 ruby-1.9.2_rc2.ebuild:
133 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
134
135 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
136 ruby-1.8.7_p299.ebuild:
137 Bump eselect-ruby dependency
138
139 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
140 -ruby-1.9.1_p429.ebuild:
141 Remove ebuild that is not target for unmask anyway.
142
143 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
144 ruby-1.9.2_rc2.ebuild:
145 Try 2 to fix the berkdb 5 issue on 1.9.
146
147 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
148 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
149 ruby-1.9.2_rc2.ebuild:
150 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
151 support for adding new patchsets without bumping the revision for all the
152 old ebuilds as well.
153
154*ruby-1.9.2_rc2 (14 Jul 2010)
155
156 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
157 +ruby-1.9.2_rc2.ebuild:
158 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
159 might cause _further_ build failures as it changed slightly behaviour.
160 You're going to need to rebuild rubygems and then all the packages
161 previously installed after upgrading to this.
162
163 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
164 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
165 -ruby-1.9.1_p376.ebuild:
166 Cleanup old versions.
167
168*ruby-1.9.1_p429 (04 Jul 2010)
169
170 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
171 +ruby-1.9.1_p429.ebuild:
172 Version bump to new 1.9.1 release.
173
174*ruby-1.8.7_p299 (23 Jun 2010)
175
176 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
177 +ruby-1.8.7_p299.ebuild:
178 Version bump.
179
180 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
181 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
182 remove useless comments
183
184 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
185 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
186 ruby-1.9.1_p376.ebuild:
187 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
188 dev.gentoo.org now.
189
190 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
191 ruby-1.9.1_p376.ebuild:
192 Use the correct RUBYLIB.
193
194*ruby-1.8.7_p249-r2 (18 May 2010)
195*ruby-1.8.6_p388-r1 (18 May 2010)
196
197 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
198 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
199 ruby-1.9.1_p376.ebuild, metadata.xml:
200 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
201 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
202 add USE flags for ncurses, readline and libedit, and properly depend on
203 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
204 Emacs versions support ruby-mode themselves and it should be even more
205 updated.
206
207*ruby-1.8.7_p249-r1 (06 May 2010)
208
209 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
210 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
211 309789 by Sune Kloppenborg Jeppesen.
212
213 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
214 ruby-1.8.7_p249.ebuild:
215 Use $PVR instead of $PV in patchset names
216
217 06 May 2010; Alex Legler <a3li@gentoo.org>
218 -files/ruby-1.8.6-memory-leak.diff,
219 -files/ruby18-mkmf-parallel-install.patch,
220 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
221 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
222 Remove old version. Cleanup in files/
223
224*ruby-1.9.1_p376 (01 May 2010)
225
226 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
227 Version bump. Fixes security bugs 296052 and 300468. No longer installs
228 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
229 instead.
230
231 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
232 -ruby-1.8.7_p174-r1.ebuild:
233 Remove vulnerable ebuilds, 300468
234
235 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
236 ruby-1.8.7_p249.ebuild:
237 amd64 stable, security bug 300468
238
239 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
240 ruby-1.8.7_p249.ebuild:
241 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
242
243 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
244 Stable for HPPA (bug #300468).
245
246 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
247 Stable for HPPA (bug #300468).
248
249 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
250 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
251
252 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
253 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
254
255 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
256 ruby-1.8.6_p388.ebuild:
257 stable x86, security bug 300468
258
259 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
260 ruby-1.8.7_p249.ebuild:
261 stable x86, security bug 300468
262
263*ruby-1.8.6_p388 (10 Jan 2010)
264
265 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
266 +ruby-1.8.6_p388.ebuild:
267 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
268 version. The new ebuild also has the fix for bug 168939.
269
270*ruby-1.8.7_p249 (10 Jan 2010)
271
272 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
273 +ruby-1.8.7_p249.ebuild:
274 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
275 version
276
277 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
278 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
279
280*ruby-1.8.7_p248 (25 Dec 2009)
281
282 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
283 Version bump
284
285 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
286 Remove old version.
287
288 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
289 Remove old version.
290
291 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
292 ia64/s390/sh stable wrt #288699
293
294 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
295 stable sparc, bug 288699
296
297 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
298 arm stable, bug #288699
299
300 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
301 amd64/x86 stable, bug #288699
302
303 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
304 ruby-1.8.7_p174-r1.ebuild:
305 Stable on alpha, bug #288699
306
307 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
308 ppc stable #288699
309
310 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
311 Stable for HPPA (bug #288699).
312
313 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
314 Marked ~hppa too.
315
316*ruby-1.8.7_p174-r1 (06 Oct 2009)
317
318 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
319 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
320 eselect-ruby cleanup feature.
321
322*ruby-1.9.1_p243 (09 Sep 2009)
323
324 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
325 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
326 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
327 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
328 -files/ruby19-rubygems-proxy.patch,
329 -files/ruby-1.9.1_p129-parallelmake.patch,
330 -files/ruby19-mkmf-parallel-install.patch:
331 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
332 168939. Cleaning up old patches.
333
334*ruby-1.8.6_p383 (20 Aug 2009)
335
336 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
337 Patchlevel bump.
338
339 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
340 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
341 ruby-1.9.1_p129-r1.ebuild:
342 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
343
344 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
345 Removing vulnerable ebuild, bug 273213.
346
347 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
348 Marking ruby-1.8.6_p369 ppc for bug 273213
349
350 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
351 ruby-1.9.1_p129-r1.ebuild:
352 Prepend our library path instead of overwriting it during src_install.
353 Thanks to the reporter of bug #274824.
354
355*ruby-1.8.7_p174 (18 Jun 2009)
356
357 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
358 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
359 Replacing 187_p173 with _p174 because of a regression. Unifying the
360 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
361 patchsets.
362
363 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
364 Marking ruby-1.8.6_p369 ppc64 for bug 273213
365
366 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
367 arm/ia64/s390/sh/sparc stable wrt #273213
368
369 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
370 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
371 Removing old version, minor cleanup
372
373 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
374 -files/ruby-1.8.6-openssl.patch,
375 -files/ruby-1.8.6-shortname_constants.patch,
376 -files/ruby-1.8.6_p111-r13657.patch,
377 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
378 Removing vulnerable old Ruby version and stale patches, bug 274108.
379
380 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
381 ruby-1.8.6_p369.ebuild:
382 Stable on alpha, bug #273213
383
384 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
385 Stable for HPPA (bug #273213).
386
387 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
388 ruby-1.8.6_p369.ebuild:
389 stable x86, security bug 273213
390
391 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
392 amd64 stable, security bug 273213.
393
394*ruby-1.8.7_p173 (10 Jun 2009)
395*ruby-1.8.6_p369 (10 Jun 2009)
396
397 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
398 +ruby-1.8.7_p173.ebuild:
399 Version bumps for bug #273213.
400
401*ruby-1.9.1_p129-r1 (27 May 2009)
402
403 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
404 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
405 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
406 +files/ruby-1.9.1_p129-parallelmake.patch:
407 Revision bump, add patches 1) to make Ruby behave more similarly between
408 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
409 extensions (undefined symbols in them will cause abort at runtime 3) to
410 remove a concurrency issue when building the dl extension that could
411 result in a broken dl.so.
412
413 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
414 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
415 Don't block rdoc-2 or later (which may enter Portage one day as it's
416 needed by some Rakefiles).
417
418 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
419 ruby-1.9.1_p129.ebuild:
420 Add ~x86-fbsd keyword.
421
422 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
423 keyword ~sparc-fbsd, bug #252315
424
425*ruby-1.9.1_p129 (15 May 2009)
426
427 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
428 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
429 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
430 included in every release.
431
432 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
433 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
434 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
435 ruby-1.8.7_p160.ebuild:
436 Removing vulnerable versions (#268515), fixing license (#233747).
437
438 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
439 Stable for HPPA (bug #268515).
440
441 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
442 Adapting rubygems notice.
443
444 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
445 amd64 stable, bug #268515.
446
447 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
448 arm/ia64/s390/sh/sparc stable wrt #268515
449
450 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
451 ruby-1.8.6_p368.ebuild:
452 stable x86, security bug 268515
453
454 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
455 ruby-1.8.6_p368.ebuild:
456 Stable on alpha, bug #268515
457
458 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
459 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
460
461*ruby-1.8.7_p160 (07 May 2009)
462*ruby-1.8.6_p368 (07 May 2009)
463
464 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
465 +ruby-1.8.7_p160.ebuild:
466 Version bump as per secbug 268515. NB: These are the first ebuilds that
467 no longer use ruby-config.
468
469*ruby-1.9.1-r1 (03 Apr 2009)
470*ruby-1.8.7_p72-r11 (03 Apr 2009)
471*ruby-1.8.6_p287-r13 (03 Apr 2009)
472
473 03 Apr 2009; Alex Legler <a3li@gentoo.org>
474 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
475 +files/ruby18-mkmf-parallel-install.patch,
476 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
477 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
478 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
479 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
480 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
481 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
482 happy.
483
484*ruby-1.9.1 (21 Mar 2009)
485
486 21 Mar 2009; Alex Legler <a3li@gentoo.org>
487 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
488 +ruby-1.9.1.ebuild:
489 Adding Ruby 1.9.1 for preliminary testing
490
491 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
492 ruby-1.8.6_p287-r12.ebuild:
493 Marked ~ppc for bug #252315.
494
495 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
496 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
497 bug 261982.
498
499 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
500 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
501 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
502 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
503 Cleanup
504
505*ruby-1.8.7_p72-r10 (07 Mar 2009)
506
507 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
508 +ruby-1.8.7_p72-r10.ebuild:
509 Add a revision of ruby 1.8.7 using eselect ruby.
510
511 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
512 ~mips keyworded, bug #252315.
513
514 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
515 ruby-1.8.6_p287-r5.ebuild:
516 ppc stable, bug #260006
517
518 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
519 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
520
521 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
522 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
523 Fixing Tk USE flag test, bug 258893.
524
525 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
526 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
527
528 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
529 ruby-1.8.6_p287-r5.ebuild:
530 amd64 stable wrt security bug #260006
531
532 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
533 Stable for HPPA (bug #260006).
534
535 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
536 ruby-1.8.6_p287-r5.ebuild:
537 Stable on alpha, bug #260006
538
539*ruby-1.8.7_p72-r2 (23 Feb 2009)
540*ruby-1.8.6_p287-r12 (23 Feb 2009)
541*ruby-1.8.6_p287-r5 (23 Feb 2009)
542
543 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
544 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
545 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
546 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
547 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
548 now before compilation if Tk useflags don't match) and 230748 (adding
549 --enable-option-checking=no for newer versions of autoconf).
550
551 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
552 arm/ia64/s390/sh/sparc stable wrt #254307
553
554 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
555 ruby-1.8.6_p287-r4.ebuild:
556 Stable on alpha, bug #254307
557
558 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
559 ruby-1.8.6_p287-r11.ebuild:
560 keyword ~x86-fbsd, bug #252315
561
562 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
563 ppc stable #254307
564
565 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
566 amd64/x86 stable, bug #254307
567
568 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
569 stable ppc64, bug 254307
570
571 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
572 Stable for HPPA (bug #254307).
573
574 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
575 ruby-1.8.6_p287-r11.ebuild:
576 Marked ~hppa (bug #252315).
577
578*ruby-1.8.6_p287-r11 (11 Jan 2009)
579
580 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
581 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
582 +ruby-1.8.6_p287-r11.ebuild:
583 Backport conditional definition of missing openssl functions from ruby 1.8.7.
584 Fixes #254307.
585
586 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
587 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
588
589 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
590 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
591
592 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
593 ruby-1.8.6_p287-r10.ebuild:
594 Add ~sparc keyword, bug #252315
595
596*ruby-1.8.6_p287-r10 (23 Dec 2008)
597
598 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
599 +ruby-1.8.6_p287-r10.ebuild:
600 Version bump which switches from ruby-config to eselect-ruby. Dropped most
601 keywords since eselect-ruby does not yet have these keywords.
602
603 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
604 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
605 Revert the ruby-config changes. We can't remove them until we provide an
606 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
607 for breaking things as mentioned in bug #251833.
608
609 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
610 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
611 ruby-1.8.7_p72-r1.ebuild:
612 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
613 Thanks for the people noticing this in bug #251833.
614
615 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
616 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
617 ruby-1.8.7_p72-r1.ebuild:
618 Drop dependency on ruby-config, which will be removed from the tree. We
619 currently only have one major version of ruby in the tree (Ruby 1.8), so there
620 is no need for ruby-config at this moment. For newer versions of Ruby we will
621 use eselect-ruby, which can be found in the ruby overlay at the moment.
622
623 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
624 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
625 Use mirror://ruby in SRC_URI, fixes #237392.
626
627 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
628 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
629 -ruby-1.8.7_p72.ebuild:
630 Remove old versions. Leave one old stable version with cjk support.
631
632*ruby-1.8.6_p287-r3 (29 Nov 2008)
633
634 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
635 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
636 +ruby-1.8.6_p287-r3.ebuild:
637 Fix our expansion limit patch according to debian bug report
638 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
639 make sure people will pick up the fixed version. Thanks to Alex Legler for
640 mentioning the patch.
641
642*ruby-1.8.7_p72-r1 (26 Nov 2008)
643*ruby-1.8.6_p287-r2 (26 Nov 2008)
644
645 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
646 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
647 +ruby-1.8.7_p72-r1.ebuild:
648 Fix problem with shortname constants #247790, already fixed in upstream SVN.
649 Thanks to Alex Legler for providing the patch.
650
651 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
652 -ruby-1.8.6_p287.ebuild:
653 Remove versions that will not become stable
654
655 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
656 ruby-1.8.6_p287-r1.ebuild:
657 ppc stable, bug #225465
658
659 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
660 ruby-1.8.6_p287-r1.ebuild:
661 amd64 stable wrt security bug #225465
662
663 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
664 alpha/ia64/x86 stable wrt #225465
665
666 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
667 ruby-1.8.6_p287-r1.ebuild:
668 Sparc stable --- Security Bug #225465 --- good since late August.
669
670 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
671 Stable on ppc64; bug #225465
672
673 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
674 Stable for HPPA (bug #225465).
675
676*ruby-1.8.6_p287-r1 (29 Aug 2008)
677
678 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
679 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
680 +ruby-1.8.6_p287-r1.ebuild:
681 Fix REXML security issues, bug #236060.
682
683 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
684 Add GLEP 56 USE flag descriptions.
685
686*ruby-1.8.7_p72 (15 Aug 2008)
687
688 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
689 +ruby-1.8.7_p72.ebuild:
690 bump 1.8.7 to latest patch release
691
692*ruby-1.8.6_p287 (11 Aug 2008)
693
694 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
695 Version bump for brown paper bag relelease.
696
697 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
698 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
699 Remove broken version in favor of the just-added 1.8.6_p286
700
701*ruby-1.8.6_p286 (10 Aug 2008)
702
703 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
704 Version bump to latest released version of ruby 1.8.6. This version fixes the
705 security issues reported in #225465 and #234224. The cjk USE flag has been
706 dropped since no compatible patches have been released yet.
707
708 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
709 ruby-1.8.6_p230.ebuild:
710 drop cjk from SRC_URI as well
711
712 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
713 Drop cjk support since the most recent oniguruma patches no longer apply to
714 this version, #230111.
715
716 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
717 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
718 Try to fix the security issues reported in #225465 for ruby 1.8.6.
719 Unfortunately the official p230 has a change which causes segmentation faults
720 for applications like Rails and RSpec, so we are reverting that specific
721 change.
722
723*ruby-1.8.7_p22 (29 Jun 2008)
724
725 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
726 +ruby-1.8.7_p22.ebuild:
727 bump 1.8.7 for security fix
728
729 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
730 nevermind, don't bump this yet
731
732*ruby-1.8.6_p230 (20 Jun 2008)
733
734 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
735 version bump
736
737*ruby-1.8.7 (10 Jun 2008)
738
739 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
740 +ruby-1.8.7.ebuild:
741 bump 1.8.7 to final
742
743*ruby-1.8.7_pre2 (21 Apr 2008)
744
745 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
746 +ruby-1.8.7_pre2.ebuild:
747 Version Bump
748
749*ruby-1.8.7_pre1 (16 Apr 2008)
750
751 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
752 Version bump. Drop cjk until a new version of oniguruma appears.
753
754 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
755 amd64 stable, bug 212264
756
757 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
758 Stable for HPPA (bug #212264).
759
760 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
761 ruby-1.8.6_p114.ebuild:
762 ppc stable, bug #212264
763
764 05 Mar 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p114.ebuild:
765 alpha/ia64 stable wrt #212264
766
767 05 Mar 2008; Christian Faulhammer <opfer@gentoo.org>
768 ruby-1.8.6_p114.ebuild:
769 stable x86, security bug 212264
770
771 05 Mar 2008; Ferris McCormick <fmccor@gentoo.org> ruby-1.8.6_p114.ebuild:
772 Sparc stable, Security Bug #212264, builds and installs, initial tests run
773 as expected.
774
775 05 Mar 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p114.ebuild:
776 Marking ruby-1.8.6_p114 ppc64 for bug 212264
777
778*ruby-1.8.6_p114 (05 Mar 2008)
779
780 05 Mar 2008; Richard Brown <rbrown@gentoo.org>
781 -files/ruby-1.8.4-glibc24-eaccess.diff, -files/ruby-1.8.4-yaml.diff,
782 -files/ruby-1.8.5_p113-net-http-p114.patch, -ruby-1.8.4-r3.ebuild,
783 -ruby-1.8.5_p113.ebuild, +ruby-1.8.6_p114.ebuild:
784 Version bump for #212264. Remove old ebuilds.
785
786 17 Feb 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
787 alpha/ia64 stable wrt #208916
788
789 17 Feb 2008; nixnut <nixnut@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
790 Stable on ppc wrt bug 208916
791
792 16 Feb 2008; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
793 x86 stable, bug #208916
794
795 16 Feb 2008; Ferris McCormick <fmccor@gentoo.org>
796 ruby-1.8.6_p111-r1.ebuild:
797 Sparc stable --- Bug #208916 --- working well for about 6 weeks.
798
799 15 Feb 2008; Richard Brown <rbrown@gentoo.org>
800 -files/ruby-1.8.6-exit-status.patch,
801 -files/ruby-1.8.6_p110-net-http-p111.patch,
802 -files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
803 -ruby-1.8.5_p2-r1.ebuild, -ruby-1.8.6-r1.ebuild,
804 -ruby-1.8.6_p110-r1.ebuild, -ruby-1.8.6_p110-r2.ebuild:
805 Remove old versions
806
807 05 Feb 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
808 Stable on ppc64
809
810 26 Dec 2007; Peter Weller <welp@gentoo.org> ruby-1.8.6_p111.ebuild:
811 Stable on amd64; bug 199191
812
813 24 Dec 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111.ebuild:
814 alpha/ia64/sparc stable wrt #199191
815
816 24 Dec 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
817 Remove now-obsolete warning about coreutils versions, #203156.
818
819 24 Dec 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
820 Stable for HPPA (bug #199191).
821
822*ruby-1.8.6_p111-r1 (23 Dec 2007)
823
824 23 Dec 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p111-r1.ebuild:
825 Remove dependencies on system packages. Add berkdb (bug #199705), gdbm and
826 ssl USE flags. Patch to p113.
827
828 23 Dec 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p111.ebuild:
829 Marking ruby-1.8.6_p111 ppc and ppc64 for bug 199191
830
831 23 Dec 2007; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111.ebuild:
832 x86 stable, security bug #199191
833
834*ruby-1.8.6_p111 (23 Dec 2007)
835
836 23 Dec 2007; Richard Brown <rbrown@gentoo.org>
837 +files/ruby-1.8.6_p111-r13657.patch, +ruby-1.8.6_p111.ebuild:
838 Version bump with patch for bug #199191
839
840 14 Dec 2007; Ulrich Mueller <ulm@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
841 Move dependency on (X)Emacs modes to PDEPEND.
842
843 25 Oct 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
844 Add back ~hppa keyword now that XEmacs support files have been keyworded,
845 bug 196413
846
847*ruby-1.8.6_p110-r2 (21 Oct 2007)
848
849 21 Oct 2007; Hans de Graaff <graaff@gentoo.org>
850 +ruby-1.8.6_p110-r2.ebuild:
851 Add emacs and xemacs USE flags and use them to pull in the correct editing
852 mode for each. Had to drop several arch keywords as reported on bug 196413.
853
854 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
855 amd64 stable, security bug 194236
856
857 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild,
858 ruby-1.8.6_p110-r1.ebuild:
859 Stable on ppc64; bug #194236
860
861 09 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6-r1.ebuild:
862 amd64 stable, security bug 194236
863
864 08 Oct 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
865 Stable for HPPA (bug #194236).
866
867 08 Oct 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
868 alpha/ia64/sparc stable wrt security #194236
869
870 07 Oct 2007; Tobias Scherbaum <dertobi123@gentoo.org>
871 ruby-1.8.6_p110-r1.ebuild:
872 ppc stable, bug #194236
873
874 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
875 ruby-1.8.6_p110-r1.ebuild:
876 stable x86, security bug 194236
877
878 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
879 ruby-1.8.5_p113.ebuild:
880 stable x86, security bug 194236
881
882 07 Oct 2007; Richard Brown <rbrown@gentoo.org> -ruby-1.8.5_p35.ebuild,
883 -ruby-1.8.6_p36-r3.ebuild, -ruby-1.8.6_p36-r4.ebuild,
884 -ruby-1.8.6_p110.ebuild:
885 Remove old versions
886
887*ruby-1.8.6_p110-r1 (30 Sep 2007)
888*ruby-1.8.5_p113 (30 Sep 2007)
889
890 30 Sep 2007; Richard Brown <rbrown@gentoo.org>
891 +files/ruby-1.8.5_p113-net-http-p114.patch,
892 +files/ruby-1.8.6_p110-net-http-p111.patch, +ruby-1.8.5_p113.ebuild,
893 +ruby-1.8.6_p110-r1.ebuild:
894 Fix bug #194236. Bump 1.8.6 to p111 as p110-r1. Bump 1.8.5 to p114 as p113,
895 using 1.8.6-p110 as base ebuild.
896
897 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
898 More fixes from gentoo-dev and graaff
899
900 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
901 Implement suggestions from http://archives.gentoo.org/gentoo-dev/msg_147875.xml
902
903*ruby-1.8.6_p110 (24 Sep 2007)
904
905 24 Sep 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p110.ebuild:
906 Version bump
907
908*ruby-1.8.6_p36-r4 (26 Aug 2007)
909
910 26 Aug 2007; Nguyễn Thái Ngọc Duy <pclouds@gentoo.org>
911 +ruby-1.8.6_p36-r4.ebuild:
912 Use user LDFLAGS, #181436
4 913
5 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.4-r3.ebuild, 914 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.4-r3.ebuild,
6 ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p35.ebuild: 915 ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p35.ebuild:
7 MANIFEST was already gone in ruby 1.8.4, so remove it also from the old 916 MANIFEST was already gone in ruby 1.8.4, so remove it also from the old
8 ebuilds, including the currently stable 1.8.5_p2-r1, #189241. 917 ebuilds, including the currently stable 1.8.5_p2-r1, #189241.

Legend:
Removed from v.1.293  
changed lines
  Added in v.1.495

  ViewVC Help
Powered by ViewVC 1.1.20